package activityinfo

import (
	"spaceofcheng/services/models"
	"spaceofcheng/services/models/model"
	"spaceofcheng/services/utils"

	"github.com/go-xorm/xorm"
)

// ActivityinfoDao 当前数据库操作对象
type ActivityinfoDao struct {
	ctx *utils.Context
	db  *xorm.Session
}

// NewDAO 初始化DAO
func NewActivityinfoDao(ctx *utils.Context) *ActivityinfoDao {
	return &ActivityinfoDao{
		ctx: ctx,
		db:  ctx.DB,
	}
}

func (m *ActivityinfoDao) AddActivityInfo(info model.TaActivityShareInfo) error {
	info.ActivityShareInfoId = utils.GetGUID()
	info.Status = models.STATUS_NORMAL
	_, err := m.db.Insert(info)
	return err
}

// func (m *ActivityinfoDao) UpdateActivityInfo(info model.TaActivityShareInfo) error {
// 	var cols = []string{
// 		"activity_main_img",
// 		"activity_title",
// 		"share_img",
// 		"share_content",
// 	}
// 	_, err := m.db.Cols(cols...).Where("activity_id = ?", info.ActivityId).And("activity_type = ?", info.ActivityType).Update(info)
// 	return err
// }

// func (m *ActivityinfoDao) IsInfoExist(activityId string) (bool, error) {
// 	flag, err := m.db.Exist(&model.TaActivityShareInfo{ActivityId: activityId})
// 	return flag, err
// }

func (m *ActivityinfoDao) DeleteInfo(activityId string) error {
	_, err := m.db.Delete(&model.TaActivityShareInfo{ActivityId: activityId})
	return err
}
